<?php
/**
 * Single Product Image
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.14
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $post, $woocommerce, $product;

?>
<div class="images">

	<?php
		if ( has_post_thumbnail() ) {

			$image_title = esc_attr( get_the_title( get_post_thumbnail_id() ) );
			$image_link  = wp_get_attachment_url( get_post_thumbnail_id() );
			$image       = get_the_post_thumbnail( $post->ID, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ), array(
				'title' => $image_title
				) );

			$attachment_count = count( $product->get_gallery_attachment_ids() );

			if ( $product->is_type( array( 'variable' ) ) ) {
				$available_variations = $product->get_available_variations();

				$loop = 0;
				foreach ( $available_variations as $variation ) {

					$image_link = $variation['image_link'] != '' ? $variation['image_link'] : $image_link;

					if ( $image_link )
						$attachment_vars[$loop] = 'true'; //just to check if the variations has got some images

					$loop++;
				}
			}
			/*if ( $attachment_count > 0 ) {
				$gallery = '[product-gallery]';
			} else {
				$gallery = '';
			}*/
			if ( (count($attachment_count)>=1) /*|| count($attachment_vars)>1*/ ) {
				$gallery = 'nocolorbox';
			} else {
				$gallery = '';
			}

			//echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<a href="%s" itemprop="image" class="woocommerce-main-image zoom" title="%s" data-rel="prettyPhoto' . $gallery . '">%s</a>', $image_link, $image_title, $image ), $post->ID );
			echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<span id="woocommerce-main-image-wrapper"><a href="%s" itemprop="image" class="woocommerce-main-image zoom '.$gallery.'" title="%s" ">%s</a></span>', $image_link, $image_title, $image ), $post->ID );

		} else {

			echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<img src="%s" alt="Placeholder" />', wc_placeholder_img_src() ), $post->ID );

		}
	?>

	<?php do_action( 'woocommerce_product_thumbnails' ); ?>

</div>
